To support our partners with and without time-tracking solutions, Gusto Embedded offers the ability to create and manage time off policies. At this time, we only supportDocumentation Index
Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
vacation and sick policy types.
Prerequisites
Before using this guide, you must have created a company. If you haven’t done this yet, use the Quickstart guide to do so.1. Create a time off policy
To create a time off policy use the POST companies/{company_uuid}/time_off_policies endpoint.Accrual methods
Consult our Accrual methods guide for guidance on which body parameters to send, depending on the accrual method you’re selecting for the time off policy.2. Add employees to a time off policy
Once the policies are created, you can add employees to a policy by using the PUT time_off_policies/{time_off_policy_uuid}/add_employees endpoint. The path requires the parametertime_off_policy_uuid, which is the uuid of the time off policy you created in the previous step.
Note: To add an employee to a time off policy they must have a job created and must not be terminated.
Sample request
Remove an employee from a time off policy
You can always remove an employee from a time off policy using the PUT time_off_policies/{time_off_policy_uuid}/remove_employees endpoint.Deactivate a time off policy
Deactivate a time off policy using the PUT time_off_policies/{time_off_policy_uuid}/deactivate endpoint. Sample requestUpdate a payroll with paid time off
To update a payroll with PTO hours taken during a pay period,policy_uuid and/or name can be passed on to the paid_time_off array object.
Not necessary for flows
For flows, this step is not necessary, as the PTO hours will be available to edit in therun_payroll flow directly.Time off policies Accrual methods